%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define version_maj 1
%define version_min 0
%define version_rev 0
%define version_tag GA
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}
 
Summary:        JBoss Web Services (common)
Name:           jbossws-common
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        0jpp.ep1.8%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Source0:        %{name}-%{version_full}.tar.gz
Source1:        %{name}-%{version_full}-tp.tar.gz
Source2:        %{name}-%{version_full}-component-info.xml
Patch0:         %{name}-%{version_full}-ant-hack.patch

BuildRequires:  ant
BuildRequires:  junit >= 3.8.1
BuildRequires:  jbossws-spi >= 1.0.0


%description
JBossWS Common


%define repodir_root repository.jboss.com
%define repodir_release jboss/%{name}/%{version_full}
%define repodir %{_javadir}/%{repodir_root}/%{repodir_release}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %{with_repolib}
%package     repolib
Summary:     Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java

%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif


%prep

sed -i 's/@VERSION@/%{version_full}-brew/g' %{SOURCE2}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE2}

%setup -n %{name}-%{version_full}

%define reposave output/reposave
reposave=%{reposave}
sed -i "s|@REPOSAVE@|$reposave|" %{PATCH0}
%patch0 -p1

tar -xvzf %{SOURCE1}

# After patching ant.properties.examples we can use it in the build
mv ant.properties.example ant.properties


%build
%if %{with_repolib}
ant release
%else
ant jars
%endif


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 output/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version_full}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version_full}.jar %{name}.jar
popd

%if %{with_repolib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodir}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}

    cp -R %{reposave}/%{repodir_release}/* $RPM_BUILD_ROOT%{repodir}

    # Clobber the existing component-info.xml with our patched, sed'ed version
    cp --remove-destination %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version_full}.jar
%{_javadir}/%{name}.jar

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif


%changelog
* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.8
- Update component-info.xml to be compatible with "-brew" version of
  dependency.

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.7
- Quick fix to add 'version' and 'tag' attributes to the component-info.xml
  root element.

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.6
- Added -brew suffix for repolib

* Wed Nov 07 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.5
- First /actual/ building version

* Tue Nov 06 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.4
- Added missing defattr to files list

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.3
- Build repolib

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.2
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.1
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0.GA-0.1
- First release. Also, Halloween!
